#!/bin/bash

echo "build java help"

DIR=`pwd`
# prodice XML file first
# make sure that tex4th is installed and htlatex in the main path
name=RunMC_manual
OUTPUT=../../main/jrunmc
OUTPUTHTML=../../main/jrunmc/src/JRunMC/resources/help/html/

# htlatex $FILE  "html,3,2,javahelp,3"
latex2html -nonavigation -notop_navigation -show_section_numbers -split 4 -link 1 -white -antialias -image_type "gif" -local_icons -transparent -noaddress -noinfo $name'.tex'
# move other staff
mv -f $name/*.html $OUTPUTHTML 
mv -f $name/*.gif  $OUTPUTHTML 
mv -f $name/*.png  $OUTPUTHTML
rm -r $name 

rm -f $name'.aux'
rm -f $name'.bbl'
rm -f $name'.blg'
rm -f $name'.out'
rm -f $name'.toc'
rm -f $name'.ps'
rm -f $name'.dvi'

# do some cleaninnin (extra file)
rm -f  $OUTPUTHTML/RunMC_manual.html
 
echo "make HELP project. make sure java>1.5 installed"
echo "Open $RUNMC/main/jrunmc/src/JRunMC/resources/help/html/JHELPDEV.xml"
echo "or create new project with the files in $RUNMC/main/jrunmc/src/JRunMC/resources/help/html/"
echo ""


cd $OUTPUT
java -jar jhelpdev.jar

cd $DIR
# ./jhlatex.sh  RunMC_manual.tex  "html,3"

# htlatex $FILE  "xhtml,docbook-mml"
# htlatex $FILE  "xhtml,docbook-mml"

# htlatex $FILE  "xhtml,docbook,unicode" " -cmozhtf -u10"



# htlatex $FILE  "xhtml,docbook-mml"
# mzlatex.sh   $FILE "html,pmathml" 

# htlatex $FILE "xhtml,mathml" " -cmozhtf"


# this is HTML help in chanks
# htlatex $FILE  "html,2,javahelp" 

# then replace propre heading!
# <?xml version="1.0" standalone="no"?>
# <!DOCTYPE article PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
#          "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">



echo "XML file is done!"
echo "Now convert to JavaHelp"

# produce JavaHelp
# everything is in chuncks  

# everything is in chuncks
# export DOCBOOK_XSL_HOME /afs/desy.de/user/c/chekanov/hom1/programs/bin/docbook-xsl-1.69.1
# STYLE=$DOCBOOK_XSL_HOME/javahelp/javahelp.xsl
# STYLE=./javahelp.xsl
# xsltproc --stringparam base.dir helpfiles/ --stringparam  use.id.as.filename 1 $STYLE  RunMC_manual.xml



# xsltproc --stringparam base.dir helpfiles/ --stringparam  use.id.as.filename 1 $STYLE example.xml

# export CLASSPATH ./lib/saxon.jar
# you can use saxon also
# java -cp lib/saxon.jar com.icl.saxon.StyleSheet RunMC_manual.xml $STYLE
#java -cp lib/saxon.jar com.icl.saxon.StyleSheet RunMC_manual.xml $STYLE
#rm -f  helpfiles/*.html
#rm -f helpfiles/jhel*
#mv -f *.html helpfiles/
#mv -f jhel* helpfiles/ 
#echo "make index files"
#rm -r ./helpfiles/JavaHelpSearch
# cd ./helpfiles
# ./AASearch.sh

# Create java help from latex  
# htlatex  /home/sergei/jrunmc/doc/RunMC_manual.tex  "html,2,javahelp"

#
# xsltproc file:///path/to/docbook-xsl/javahelp/javahelp.xsl in.xml



# echo "making index files"
# sleep 2;
# create serach index
# java -jar jhindexer.jar *.html


