/* This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/



//readme.java - displays the readme document in scrolling text area.
//The main program opens the readme file and passes the text as a string to this class.
//The License text also uses this class
//(C)2000-2001 Mark Beynon
//mark@jpedit.co.uk
//http://www.jpedit.co.uk

package com.misc;


import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.event.WindowEvent;

import java.awt.AWTEvent;
import java.awt.Insets;
import java.awt.FlowLayout;
import java.awt.Dimension;
import java.awt.BorderLayout;
import java.awt.Frame;

import javax.swing.JTextArea;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.Box;
import javax.swing.BoxLayout;


import com.jpe.jpe;

public class readme extends JDialog implements ActionListener {

	private JPanel panel1;
	private JTextArea jtaClip1;
	private JScrollPane jsp;
	private JButton jbtClose;
	private String fileSep = System.getProperty("file.separator");



	public readme(Frame parent, String s, String t) {
    super(parent, "", false);


    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try  {
      jbInit(s, t);
    }
    catch(Exception e) {
      e.printStackTrace();
    }

		pack();


  }


  private void jbInit(String s, String t) throws Exception
  {

    this.setTitle(t);
    setResizable(false);

    JTextArea jtaClip1 = new JTextArea(s, 15, 45);
    jtaClip1.setEditable(false);

	  Insets insets = new Insets(12, 8, 12, 8);
    jtaClip1.setMargin(insets);

    jtaClip1.setLineWrap(false);
    jtaClip1.setWrapStyleWord(false);

	  jtaClip1.requestFocus();
	  jtaClip1.setCaretPosition(0);

    JScrollPane jsp = new JScrollPane(jtaClip1);
    JPanel jpanel1 = new JPanel();
    jpanel1.setLayout(new FlowLayout(FlowLayout.CENTER));
    jpanel1.add(jbtClose = new JButton("Close"));
    jbtClose.setPreferredSize(new Dimension(70,20));



	getContentPane().setLayout(new BorderLayout());
	getContentPane().add(jsp, BorderLayout.CENTER);
	getContentPane().add(jpanel1, BorderLayout.SOUTH);

    // Register listener
    jbtClose.addActionListener(this);

	}



  protected void processWindowEvent(WindowEvent e) {
    if(e.getID() == WindowEvent.WINDOW_CLOSING) {
      cancel();
    }
    super.processWindowEvent(e);
  }

  void cancel() {
    dispose();
  }

  public void actionPerformed(ActionEvent e) {
    if(e.getSource() == jbtClose) {
      cancel();
    }
  }
}
