C
C
      SUBROUTINE HADDAT
C******************************************************************
C
C     BAMJET/DECAY particle data
C     (update of particle masses, new resonances Apr.94, Jan.95)
C
C******************************************************************
      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
      SAVE
C
      CHARACTER*8 ANAME,ZKNAM
      COMMON /POPART/ ANAME(187),AM(187),GA(187),TAU(187),ICH(187),
     &              IBAR(187),K1(187),K2(187)
      COMMON /DECAYC/ZKNAM(550),NZK(550,3),WT(550)
C  fragmentation data and parameters
      COMMON/INPDAT/IMPS(6,6),IMVE(6,6),IB08(6,21),IB10(6,21),
     &IA08(6,21),IA10(6,21),A1,B1,B2,B3,LT,LB,ISU,IYQ,BET,AS,B8,AME,DIQ
C  translation table
      COMMON /HAMCIN/ IAMCIN(187)
C  index tables
      DIMENSION IV(36),IP(36),IB(126),IBB(126),IA(126),IAA(126)
C
      CHARACTER*8 BNAME,ZBNAM
      DIMENSION BNAME(187),BM(187),BA(187),BAU(187),IBCH(187),
     &          IBBAR(187),KB1(187),KB2(187)
      DIMENSION ZBNAM(550),NBK1(550),NBK2(550),NBK3(550),BT(550)
      DIMENSION IBMCIN(187)
C
      DATA (BNAME(K),K=  1, 85) /
     &  'P       ','AP      ','E-      ','E+      ','NUE     ',
     &  'ANUE    ','GAM     ','NEU     ','ANEU    ','MUE+    ',
     &  'MUE-    ','K0L     ','PI+     ','PI-     ','K+      ',
     &  'K-      ','LAM     ','ALAM    ','K0S     ','SIGM-   ',
     &  'SIGM+   ','SIGM0   ','PI0     ','K0      ','AK0     ',
     &  'OME1420 ','RHO1450 ','OME1600 ','PHI1680 ','RHO1700 ',
     &  'ETA550  ','RHO+77  ','RHO077  ','RHO-77  ','OM0783  ',
     &  'K*+892  ','K*0892  ','K*-892  ','AK*089  ','KA+125  ',
     &  'KA0125  ','KA-125  ','AKA012  ','K*+142  ','K*0142  ',
     &  'K*-142  ','AK*014  ','S+1385  ','S01385  ','S-1385  ',
     &  'L01820  ','L02030  ','N*++12  ','N*+ 12  ','N*012   ',
     &  'N*-12   ','N*++16  ','N*+16   ','N*016   ','N*-16   ',
     &  'N*+1440 ','N*01440 ','N*+15   ','N*015   ','N*+1710 ',
     &  'N*01710 ','AN--12  ','AN*-12  ','AN*012  ','AN*+12  ',
     &  'AN--16  ','AN*-16  ','AN*016  ','AN*+16  ','AN*-15  ',
     &  'AN*015  ','AN*-1440','AN*01440','AN*-1710','AN*01710',
     &  'BLANC   ','BLANC   ','BLANC   ','BLANC   ','BLANC   '
     &           /
      DATA (BNAME(K),K= 86,170) /
     &  'BLANC   ','BLANC   ','BLANC   ','BLANC   ','BLANC   ',
     &  'BLANC   ','BLANC   ','BLANC   ','BLANC   ','ETA*    ',
     &  'PHI     ','TETA0   ','TETA-   ','ASIG-   ','ASIG0   ',
     &  'ASIG+   ','ATETA0  ','ATETA+  ','SIG*+   ','SIG*0   ',
     &  'SIG*-   ','TETA*0  ','TETA*   ','OMEGA-  ','ASIG*-  ',
     &  'ASIG*0  ','ASIG*+  ','ATET*0  ','ATET*+  ','OMEGA+  ',
     &  'D0      ','D+      ','D-      ','AD0     ','F+      ',
     &  'F-      ','ETAC    ','D*0     ','D*+     ','D*-     ',
     &  'AD*0    ','F*+     ','F*-     ','PSI     ','JPSI    ',
     &  'TAU+    ','TAU-    ','NUET    ','ANUET   ','NUEM    ',
     &  'ANUEM   ','C0+     ','A+      ','A0      ','C1++    ',
     &  'C1+     ','C10     ','S+      ','S0      ','T0      ',
     &  'XU++    ','XD+     ','XS+     ','AC0-    ','AA-     ',
     &  'AA0     ','AC1--   ','AC1-    ','AC10    ','AS-     ',
     &  'AS0     ','AT0     ','AXU--   ','AXD-    ','AXS     ',
     &  'C1*++   ','C1*+    ','C1*0    ','S*+     ','S*0     ',
     &  'T*0     ','XU*++   ','XD*+    ','XS*+    ','TETA++  '
     &           /
      DATA (BNAME(K),K=171,187) /
     &  'AC1*--  ','AC1*-   ','AC1*0   ','AS*-    ','AS*0    ',
     &  'AT*0    ','AXU*--  ','AXD*-   ','AXS*-   ','ATET--  ',
     &  'RO      ','R+      ','R-      ','Pomeron ','Reggeon ',
     &  'Remnant1','Remnant2'
     &           /
      DATA (BM(K),K=  1, 85) /
     &  0.9383D+00,0.9383D+00,0.5100D-03,0.5100D-03,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.9396D+00,0.9396D+00,0.1057D+00,
     &  0.1057D+00,0.4977D+00,0.1396D+00,0.1396D+00,0.4936D+00,
     &  0.4936D+00,0.1116D+01,0.1116D+01,0.4977D+00,0.1197D+01,
     &  0.1189D+01,0.1193D+01,0.1350D+00,0.4977D+00,0.4977D+00,
     &  0.1420D+01,0.1465D+01,0.1622D+01,0.1680D+01,0.1720D+01,
     &  0.5474D+00,0.7669D+00,0.7700D+00,0.7669D+00,0.7820D+00,
     &  0.8921D+00,0.8962D+00,0.8921D+00,0.8962D+00,0.1300D+01,
     &  0.1300D+01,0.1300D+01,0.1300D+01,0.1421D+01,0.1421D+01,
     &  0.1421D+01,0.1421D+01,0.1383D+01,0.1384D+01,0.1387D+01,
     &  0.1820D+01,0.2030D+01,0.1231D+01,0.1232D+01,0.1233D+01,
     &  0.1234D+01,0.1675D+01,0.1675D+01,0.1675D+01,0.1675D+01,
     &  0.1450D+01,0.1450D+01,0.1515D+01,0.1515D+01,0.1775D+01,
     &  0.1775D+01,0.1231D+01,0.1232D+01,0.1233D+01,0.1234D+01,
     &  0.1675D+01,0.1675D+01,0.1675D+01,0.1675D+01,0.1515D+01,
     &  0.1515D+01,0.1450D+01,0.1450D+01,0.1775D+01,0.1775D+01,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00
     &           /
      DATA (BM(K),K= 86,170) /
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.2030D+01,0.9575D+00,
     &  0.1019D+01,0.1315D+01,0.1321D+01,0.1189D+01,0.1193D+01,
     &  0.1197D+01,0.1315D+01,0.1321D+01,0.1383D+01,0.1384D+01,
     &  0.1387D+01,0.1532D+01,0.1535D+01,0.1672D+01,0.1383D+01,
     &  0.1384D+01,0.1387D+01,0.1532D+01,0.1535D+01,0.1672D+01,
     &  0.1865D+01,0.1869D+01,0.1869D+01,0.1865D+01,0.1969D+01,
     &  0.1969D+01,0.2980D+01,0.2007D+01,0.2010D+01,0.2010D+01,
     &  0.2007D+01,0.2113D+01,0.2113D+01,0.3686D+01,0.3097D+01,
     &  0.1784D+01,0.1784D+01,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.2285D+01,0.2460D+01,0.2460D+01,0.2452D+01,
     &  0.2453D+01,0.2454D+01,0.2550D+01,0.2550D+01,0.2730D+01,
     &  0.3610D+01,0.3610D+01,0.3790D+01,0.2285D+01,0.2460D+01,
     &  0.2460D+01,0.2452D+01,0.2453D+01,0.2454D+01,0.2550D+01,
     &  0.2550D+01,0.2730D+01,0.3610D+01,0.3610D+01,0.3790D+01,
     &  0.2500D+01,0.2500D+01,0.2500D+01,0.2630D+01,0.2630D+01,
     &  0.2800D+01,0.3670D+01,0.3670D+01,0.3850D+01,0.4890D+01
     &           /
      DATA (BM(K),K=171,187) /
     &  0.2500D+01,0.2500D+01,0.2500D+01,0.2630D+01,0.2630D+01,
     &  0.2800D+01,0.3670D+01,0.3670D+01,0.3850D+01,0.4890D+01,
     &  0.1250D+01,0.1250D+01,0.1250D+01,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.8000D+00
     &           /
      DATA (BA(K),K=  1, 85) /
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.1740D+00,0.3100D+00,0.2800D+00,0.1500D+00,0.2400D+00,
     &  0.8500D-06,0.1520D+00,0.1520D+00,0.1520D+00,0.1000D-01,
     &  0.7900D-01,0.7900D-01,0.7900D-01,0.7900D-01,0.4500D+00,
     &  0.4500D+00,0.4500D+00,0.4500D+00,0.1080D+00,0.1080D+00,
     &  0.1080D+00,0.1080D+00,0.5000D-01,0.5000D-01,0.5000D-01,
     &  0.8500D-01,0.1800D+00,0.1150D+00,0.1150D+00,0.1150D+00,
     &  0.1150D+00,0.2000D+00,0.2000D+00,0.2000D+00,0.2000D+00,
     &  0.3500D+00,0.3500D+00,0.1000D+00,0.1000D+00,0.2000D+00,
     &  0.2000D+00,0.1150D+00,0.1150D+00,0.1150D+00,0.1150D+00,
     &  0.2000D+00,0.2000D+00,0.2000D+00,0.2000D+00,0.1000D+00,
     &  0.1000D+00,0.3500D+00,0.3500D+00,0.2000D+00,0.2000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00
     &           /
      DATA (BA(K),K= 86,170) /
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.2000D-02,
     &  0.4000D-02,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.3400D-01,0.3400D-01,
     &  0.3600D-01,0.9000D-02,0.9000D-02,0.0000D+00,0.3400D-01,
     &  0.3400D-01,0.3600D-01,0.9000D-02,0.9000D-02,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.5000D-02,0.2000D-02,0.2000D-02,
     &  0.5000D-02,0.2000D-02,0.2000D-02,0.2000D-03,0.7000D-03,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00
     &           /
      DATA (BA(K),K=171,187) /
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.3000D+00,0.3000D+00,0.3000D+00,0.3000D+00,0.3000D+00,
     &  0.3000D+00,0.3000D+00
     &           /
      DATA (BAU(K),K=  1, 85) /
     &  0.1000D+19,0.1000D+19,0.1000D+19,0.1000D+19,0.1000D+19,
     &  0.1000D+19,0.1000D+19,0.9180D+03,0.9180D+03,0.2200D-05,
     &  0.2200D-05,0.5200D-07,0.2600D-07,0.2600D-07,0.1200D-07,
     &  0.1200D-07,0.2600D-09,0.2600D-09,0.9000D-10,0.1500D-09,
     &  0.8000D-10,0.5000D-14,0.8000D-16,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00
     &           /
      DATA (BAU(K),K= 86,170) /
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.3000D-09,0.1700D-09,0.8000D-10,0.1000D-13,
     &  0.1500D-09,0.3000D-09,0.1700D-09,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.1000D-09,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.1000D-09,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.9000D-11,0.9000D-11,0.9000D-11,0.9000D-11,0.1000D+19,
     &  0.1000D+19,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00
     &           /
      DATA (BAU(K),K=171,187) /
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00
     &           /
      DATA (IBCH(K),K=  1,170) /
     &    1, -1, -1,  1,  0,  0,  0,  0,  0,  1,
     &   -1,  0,  1, -1,  1, -1,  0,  0,  0, -1,
     &    1,  0,  0,  0,  0,  0,  0,  0,  0,  0,
     &    0,  1,  0, -1,  0,  1,  0, -1,  0,  1,
     &    0, -1,  0,  1,  0, -1,  0,  1,  0, -1,
     &    0,  0,  2,  1,  0, -1,  2,  1,  0, -1,
     &    1,  0,  1,  0,  1,  0, -2, -1,  0,  1,
     &   -2, -1,  0,  1, -1,  0, -1,  0, -1,  0,
     &    0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
     &    0,  0,  0,  0,  0,  0,  0, -1, -1,  0,
     &    1,  0,  1,  1,  0, -1,  0, -1, -1, -1,
     &    0,  1,  0,  1,  1,  0,  1, -1,  0,  1,
     &   -1,  0,  0,  1, -1,  0,  1, -1,  0,  0,
     &    1, -1,  0,  0,  0,  0,  1,  1,  0,  2,
     &    1,  0,  1,  0,  0,  2,  1,  1, -1, -1,
     &    0, -2, -1,  0, -1,  0,  0, -2, -1, -1,
     &    2,  1,  0,  1,  0,  0,  2,  1,  1,  2
     &           /
      DATA (IBCH(K),K=171,187) /
     &   -2, -1,  0, -1,  0,  0, -2, -1, -1, -2,
     &    0,  1, -1,  0,  0,  0,  0
     &           /
      DATA (IBBAR(K),K=  1,170) /
     &    1, -1,  0,  0,  0,  0,  0,  1, -1,  0,
     &    0,  0,  0,  0,  0,  0,  1, -1,  0,  1,
     &    1,  1,  0,  0,  0,  0,  0,  0,  0,  0,
     &    0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
     &    0,  0,  0,  0,  0,  0,  0,  1,  1,  1,
     &    1,  1,  1,  1,  1,  1,  1,  1,  1,  1,
     &    1,  1,  1,  1,  1,  1, -1, -1, -1, -1,
     &   -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
     &    0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
     &    0,  0,  0,  0,  0,  0,  1,  1, -1, -1,
     &   -1, -1, -1,  1,  1,  1,  1,  1,  1, -1,
     &   -1, -1, -1, -1, -1,  0,  0,  0,  0,  0,
     &    0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
     &    0,  0,  0,  0,  0,  0,  1,  1,  1,  1,
     &    1,  1,  1,  1,  1,  1,  1,  1, -1, -1,
     &   -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
     &    1,  1,  1,  1,  1,  1,  1,  1,  1,  1
     &           /
      DATA (IBBAR(K),K=171,187) /
     &   -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
     &    0,  0,  0,  0,  0,  0,  0
     &           /
      DATA (KB1(K),K=  1,170) /
     &     1,   2,   3,   4,   5,   6,   7,   8,   9,  10,
     &    11,  12,  16,  17,  18,  24,  30,  34,  38,  40,
     &    41,  43,  44, 136, 138, 308, 311, 313, 316, 318,
     &    46,  51,  52,  54,  55,  58,  60,  62,  64,  66,
     &    68,  70,  72,  74,  82,  90,  98, 106, 109, 112,
     &   114, 123, 140, 141, 143, 145, 146, 150, 157, 164,
     &   168, 319, 180, 187, 194, 202, 210, 211, 213, 215,
     &   216, 220, 227, 234, 238, 245, 252, 262, 272, 280,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0, 331, 335, 340, 341, 342, 344,
     &   345, 346, 347, 348, 351, 354, 357, 359, 361, 364,
     &   367, 370, 373, 375, 377, 380, 384, 386, 388, 392,
     &   395, 398, 401, 403, 406, 409, 411, 413, 415, 418,
     &   421, 426, 431, 432, 433, 434, 435, 449, 453, 458,
     &   459, 460, 461, 462, 463, 467, 469, 471, 473, 487,
     &   491, 496, 497, 498, 499, 500, 501, 505, 507, 509,
     &   511, 512, 513, 514, 515, 516, 517, 518, 519, 520
     &           /
      DATA (KB1(K),K=171,187) /
     &   523, 524, 525, 526, 527, 528, 529, 530, 531, 532,
     &   535, 538, 540,  52,  52,  51,  54
     &           /
      DATA (KB2(K),K=  1,170) /
     &     1,   2,   3,   4,   5,   6,   7,   8,   9,  10,
     &    11,  15,  16,  17,  23,  29,  31,  35,  39,  40,
     &    42,  43,  45, 137, 139, 310, 312, 315, 317, 318,
     &    50,  51,  53,  54,  57,  59,  61,  63,  65,  67,
     &    69,  71,  73,  81,  89,  97, 105, 108, 111, 113,
     &   122, 135, 140, 142, 144, 145, 149, 156, 163, 167,
     &   177, 328, 186, 193, 201, 209, 210, 212, 214, 215,
     &   219, 226, 233, 237, 244, 251, 261, 271, 279, 287,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0, 334, 339, 340, 341, 343, 344,
     &   345, 346, 347, 350, 353, 356, 358, 360, 363, 366,
     &   369, 372, 374, 376, 379, 383, 385, 387, 391, 394,
     &   397, 400, 402, 405, 408, 410, 412, 414, 417, 420,
     &   425, 430, 431, 432, 433, 434, 448, 452, 457, 458,
     &   459, 460, 461, 462, 466, 468, 470, 472, 486, 490,
     &   495, 496, 497, 498, 499, 500, 504, 506, 508, 510,
     &   511, 512, 513, 514, 515, 516, 517, 518, 519, 522
     &           /
      DATA (KB2(K),K=171,187) /
     &   523, 524, 525, 526, 527, 528, 529, 530, 531, 534,
     &   537, 539, 541,  53,  53,  51,  54
     &           /
      DATA (ZBNAM(K),K=  1, 85) /
     &  'P       ','AP      ','E-      ','E+      ','NUE     ',
     &  'ANUE    ','GAM     ','PE-NUE  ','APEANU  ','EANUNU  ',
     &  'E-NUAN  ','3PI0    ','PI+-0   ','PIMUNU  ','PIE-NU  ',
     &  'MU+NUE  ','MU-NUE  ','MU+NUE  ','PI+PI0  ','PI++-   ',
     &  'PI+00   ','M+P0NU  ','E+P0NU  ','MU-NU   ','PI-0    ',
     &  'PI+--   ','PI-00   ','M-P0NU  ','E-P0NU  ','PPI-    ',
     &  'NPI0    ','PD-NUE  ','PM-NUE  ','APPI+   ','ANPI0   ',
     &  'APE+NU  ','APM+NU  ','PI+PI-  ','PI0PI0  ','NPI-    ',
     &  'PPI0    ','NPI+    ','LAGA    ','GAGA    ','GAE+E-  ',
     &  'GAGA    ','GAGAP0  ','PI000   ','PI+-0   ','PI+-GA  ',
     &  'PI+0    ','PI+-    ','PI00    ','PI-0    ','PI+-0   ',
     &  'PI+-    ','PI0GA   ','K+PI0   ','K0PI+   ','KOPI0   ',
     &  'K+PI-   ','K-PI0   ','AK0PI-  ','AK0PI0  ','K-PI+   ',
     &  'K+PI0   ','K0PI+   ','K0PI0   ','K+PI-   ','K-PI0   ',
     &  'K0PI-   ','AK0PI0  ','K-PI+   ','K+PI0   ','K0PI+   ',
     &  'K+89P0  ','K08PI+  ','K+RO77  ','K0RO+7  ','K+OM07  ',
     &  'K+E055  ','K0PI0   ','K+PI+   ','K089P0  ','K+8PI-  '
     &           /
      DATA (ZBNAM(K),K= 86,170) /
     &  'K0R077  ','K+R-77  ','K+R-77  ','K0OM07  ','K0E055  ',
     &  'K-PI0   ','K0PI-   ','K-89P0  ','AK08P-  ','K-R077  ',
     &  'AK0R-7  ','K-OM07  ','K-E055  ','AK0PI0  ','K-PI+   ',
     &  'AK08P0  ','K-8PI+  ','AK0R07  ','AK0OM7  ','AK0E05  ',
     &  'LA0PI+  ','SI0PI+  ','SI+PI0  ','LA0PI0  ','SI+PI-  ',
     &  'SI-PI+  ','LA0PI-  ','SI0PI-  ','NEUAK0  ','PK-     ',
     &  'SI+PI-  ','SI0PI0  ','SI-PI+  ','LA0ET0  ','S+1PI-  ',
     &  'S-1PI+  ','SO1PI0  ','NEUAK0  ','PK-     ','LA0PI0  ',
     &  'LA0OM0  ','LA0RO0  ','SI+RO-  ','SI-RO+  ','SI0RO0  ',
     &  'LA0ET0  ','SI0ET0  ','SI+PI-  ','SI-PI+  ','SI0PI0  ',
     &  'K0S     ','K0L     ','K0S     ','K0L     ','P PI+   ',
     &  'P PI0   ','N PI+   ','P PI-   ','N PI0   ','N PI-   ',
     &  'P PI+   ','N*#PI0  ','N*+PI+  ','PRHO+   ','P PI0   ',
     &  'N PI+   ','N*#PI-  ','N*+PI0  ','N*0PI+  ','PRHO0   ',
     &  'NRHO+   ','P PI-   ','N PI0   ','N*+PI-  ','N*0PI0  ',
     &  'N*-PI+  ','PRHO-   ','NRHO0   ','N PI-   ','N*0PI-  ',
     &  'N*-PI0  ','NRHO-   ','P PI0   ','N PI+   ','P2PI0   '
     &           /
      DATA (ZBNAM(K),K=171,255) /
     &  'PPI+-   ','N*#PI-  ','N*+PI0  ','N*0PI+  ','PRHO0   ',
     &  'NRHO+   ','PETA    ','BLANC   ','BLANC   ','P PI0   ',
     &  'N PI+   ','N*#PI-  ','N*+PI0  ','N*0PI+  ','PRHO0   ',
     &  'NRHO+   ','P PI-   ','N PI0   ','N*+PI-  ','N*0PI0  ',
     &  'N*-PI+  ','PRHO-   ','NRHO0   ','P PI0   ','N PI+   ',
     &  'PRHO0   ','NRHO+   ','LAMK+   ','S+ K0   ','S0 K+   ',
     &  'PETA0   ','P PI-   ','N PI0   ','PRHO-   ','NRHO0   ',
     &  'LAMK0   ','S0 K0   ','S- K+   ','NETA/   ','APPI-   ',
     &  'APPI0   ','ANPI-   ','APPI+   ','ANPI0   ','ANPI+   ',
     &  'APPI-   ','AN*=P0  ','AN*-P-  ','APRHO-  ','APPI0   ',
     &  'ANPI-   ','AN*=P+  ','AN*-P0  ','AN*0P-  ','APRHO0  ',
     &  'ANRHO-  ','APPI+   ','ANPI0   ','AN*-P+  ','AN*0P0  ',
     &  'AN*+P-  ','APRHO+  ','ANRHO0  ','ANPI+   ','AN*0P+  ',
     &  'AN*+P0  ','ANRHO+  ','APPI0   ','ANPI-   ','AN*=P+  ',
     &  'AN*-P0  ','AN*0P-  ','APRHO0  ','ANRHO-  ','APPI+,  ',
     &  'ANPI0   ','AN*-P+  ','AN*0P0  ','AN*+P-  ','APRHO+  ',
     &  'ANRHO0  ','AP PI0  ','AN PI-  ','AP2PI0  ','APPI+-  '
     &           /
      DATA (ZBNAM(K),K=256,340) /
     &  'AN*#PI+ ','AN*+PI0 ','AN*0PI- ','APRHO0  ','ANRHO+  ',
     &  'APETA   ','AN PI0  ','AP PI+  ','AN2PI0  ','ANPI+-  ',
     &  'AN*+PI+ ','AN*0PI0 ','AN*-PI+ ','ANRHO0  ','APRHO+  ',
     &  'ANETA   ','AP PI0  ','AN PI-  ','APRHO0  ','ANRHO-  ',
     &  'ALAMK-  ','AS-AK0  ','AS0K-   ','APETA0  ','AP PI+  ',
     &  'AN PI0  ','APRHO+  ','ANRHO0  ','ALAMK0  ','AS0AK0  ',
     &  'AS+ K-  ','ANETA/  ','BLANC   ','BLANC   ','BLANC   ',
     &  'BLANC   ','BLANC   ','BLANC   ','BLANC   ','BLANC   ',
     &  'BLANC   ','BLANC   ','BLANC   ','BLANC   ','BLANC   ',
     &  'BLANC   ','BLANC   ','BLANC   ','BLANC   ','BLANC   ',
     &  'BLANC   ','BLANC   ','OMOP0   ','OMOP+   ','OMOP-   ',
     &  'RPI+-   ','RPI00   ','OMOP0   ','OMOP+   ','OMOP-   ',
     &  'PHKS1   ','PHKS2   ','ROMPI   ','N PI0   ','P PI-   ',
     &  'N2PI0   ','NPI+-   ','N*-PI+  ','N*0PI0  ','N*+PI-  ',
     &  'NRHO0   ','PRHO-   ','NETA    ','BLANC   ','BLANC   ',
     &  'EPI+-   ','EPI00   ','GAPI+-  ','GAGA*   ','K+-     ',
     &  'KLKS    ','RHOPI   ','PI+-0   ','EGA     ','LPI0    '
     &           /
      DATA (ZBNAM(K),K=341,425) /
     &  'LPI     ','APPI0   ','ANPI-   ','ALAGA   ','ANPI    ',
     &  'ALPI0   ','ALPI+   ','LAPI+   ','SI+PI0  ','SI0PI+  ',
     &  'LAPI0   ','SI+PI-  ','SI-PI+  ','LAPI-   ','SI-PI0  ',
     &  'SI0PI-  ','TE0PI0  ','TE-PI+  ','TE0PI-  ','TE-PI0  ',
     &  'TE0PI   ','TE-PI   ','LAK-    ','ALPI-   ','AS-PI0  ',
     &  'AS0PI-  ','ALPI0   ','AS+PI-  ','AS-PI+  ','ALPI+   ',
     &  'AS+PI0  ','AS0PI+  ','AT0PI0  ','AT+PI-  ','AT0PI+  ',
     &  'AT+PI0  ','AT0PI   ','AT+PI   ','ALK+    ','K-PI+   ',
     &  'K-PI+0  ','K0PI+-  ','K0PI0   ','K-PI++  ','AK0PI+  ',
     &  'K+PI--  ','K0PI-   ','K+PI-   ','K+PI-0  ','AKPI-+  ',
     &  'AK0PI0  ','ETAPIF  ','K++-    ','K+AK0   ','ETAPI-  ',
     &  'K--+    ','K-K0    ','PI00    ','PI+-    ','GAGA    ',
     &  'D0PI0   ','D0GA    ','D0PI+   ','D+PI0   ','DFGA    ',
     &  'AD0PI-  ','D-PI0   ','D-GA    ','AD0PI0  ','AD0GA   ',
     &  'F+GA    ','F+GA    ','F-GA    ','F-GA    ','PSPI+-  ',
     &  'PSPI00  ','PSETA   ','E+E-    ','MUE+-   ','PI+-0   ',
     &  'M+NN    ','E+NN    ','RHO+NT  ','PI+ANT  ','K*+ANT  '
     &           /
      DATA (ZBNAM(K),K=426,510) /
     &  'M-NN    ','E-NN    ','RHO-NT  ','PI-NT   ','K*-NT   ',
     &  'NUET    ','ANUET   ','NUEM    ','ANUEM   ','SI+ETA  ',
     &  'SI+ET*  ','PAK0    ','TET0K+  ','SI*+ET  ','N*+AK0  ',
     &  'N*++K-  ','LAMRO+  ','SI0RO+  ','SI+RO0  ','SI+OME  ',
     &  'PAK*0   ','N*+AK*  ','N*++K*  ','SI+AK0  ','TET0PI  ',
     &  'SI+AK*  ','TET0RO  ','SI0AK*  ','SI+K*-  ','TET0OM  ',
     &  'TET-RO  ','SI*0AK  ','C0+PI+  ','C0+PI0  ','C0+PI-  ',
     &  'A+GAM   ','A0GAM   ','TET0AK  ','TET0K*  ','OM-RO+  ',
     &  'OM-PI+  ','C1++AK  ','A+PI+   ','C0+AK0  ','A0PI+   ',
     &  'A+AK0   ','T0PI+   ','ASI-ET  ','ASI-E*  ','APK0    ',
     &  'ATET0K  ','ASI*-E  ','AN*-K0  ','AN*--K  ','ALAMRO  ',
     &  'ASI0RO  ','ASI-RO  ','ASI-OM  ','APK*0   ','AN*-K*  ',
     &  'AN*--K  ','ASI-K0  ','ATETPI  ','ASI-K*  ','ATETRO  ',
     &  'ASI0K*  ','ASI-K*  ','ATE0OM  ','ATE+RO  ','ASI*0K  ',
     &  'AC-PI-  ','AC-PI0  ','AC-PI+  ','AA-GAM  ','AA0GAM  ',
     &  'ATET0K  ','ATE0K*  ','AOM+RO  ','AOM+PI  ','AC1--K  ',
     &  'AA-PI-  ','AC0-K0  ','AA0PI-  ','AA-K0   ','AT0PI-  '
     &           /
      DATA (ZBNAM(K),K=511,550) /
     &  'C1++GA  ','C1++GA  ','C10GAM  ','S+GAM   ','S0GAM   ',
     &  'T0GAM   ','XU++GA  ','XD+GAM  ','XS+GAM  ','A+AKPI  ',
     &  'T02PI+  ','C1++2K  ','AC1--G  ','AC1-GA  ','AC10GA  ',
     &  'AS-GAM  ','AS0GAM  ','AT0GAM  ','AXU--G  ','AXD-GA  ',
     &  'AXS-GA  ','AA-KPI  ','AT02PI  ','AC1--K  ','RH-PI+  ',
     &  'RH+PI-  ','RH3PI0  ','RH0PI+  ','RH+PI0  ','RH0PI-  ',
     &  'RH-PI0  ','BLANC   ','BLANC   ','BLANC   ','BLANC   ',
     &  'BLANC   ','BLANC   ','BLANC   ','BLANC   ','BLANC   '
     &           /
      DATA (NBK1(K),K=  1,170) /
     &     1,   2,   3,   4,   5,   6,   7,   1,   2,   4,
     &     3,  23,  13,  13,  13,  10,  11,  10,  13,  13,
     &    13,  10,   4,  11,  14,  14,  14,  11,   3,   1,
     &     8,   1,   1,   2,   9,   2,   2,  13,  23,   8,
     &     1,   8,  17,   7,   7,   7,  23,  23,  13,  13,
     &    13,  13,  23,  14,  13,  13,  23,  15,  24,  24,
     &    15,  16,  25,  25,  16,  15,  24,  24,  15,  16,
     &    24,  25,  16,  15,  24,  36,  37,  15,  24,  15,
     &    15,  24,  15,  37,  36,  24,  15,  24,  24,  16,
     &    24,  38,  39,  16,  25,  16,  16,  25,  16,  39,
     &    38,  25,  16,  25,  25,  17,  22,  21,  17,  21,
     &    20,  17,  22,   8,   1,  21,  22,  20,  17,  48,
     &    50,  49,   8,   1,  17,  17,  17,  21,  20,  22,
     &    17,  22,  21,  20,  22,  19,  12,  19,  12,   1,
     &     1,   8,   1,   8,   8,   1,  53,  54,   1,   1,
     &     8,  53,  54,  55,   1,   8,   1,   8,  54,  55,
     &    56,   1,   8,   8,  55,  56,   8,   1,   8,   1
     &           /
      DATA (NBK1(K),K=171,340) /
     &     1,  53,  54,  55,   1,   8,   1,   0,   0,   1,
     &     8,  53,  54,  55,   1,   8,   1,   8,  54,  55,
     &    56,   1,   8,   1,   8,   1,   8,  17,  21,  22,
     &     1,   1,   8,   1,   8,  17,  22,  20,   8,   2,
     &     2,   9,   2,   9,   9,   2,  67,  68,   2,   2,
     &     9,  67,  68,  69,   2,   9,   2,   9,  68,  69,
     &    70,   2,   9,   9,  69,  70,   9,   2,   9,  67,
     &    68,  69,   2,   9,   2,   9,  68,  69,  70,   2,
     &     9,   2,   9,   2,   2,  67,  68,  69,   2,   9,
     &     2,   9,   2,   9,   9,  70,  69,  68,   9,   2,
     &     9,   2,   9,   2,   9,  18,  99, 100,   2,   2,
     &     9,   2,   9,  18, 100, 101,   9,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,  33,  34,  32,
     &    13,  23,  33,  34,  32,  24,  25,  33,   8,   1,
     &     8,   8,  56,  55,  54,   8,   1,   8,   0,   0,
     &    31,  31,  13,   7,  15,  12,  33,  13,  31,  17
     &           /
      DATA (NBK1(K),K=341,510) /
     &    17,   2,   9,  18,   9,  18,  18,  17,  21,  22,
     &    17,  21,  20,  17,  20,  22,  97,  98,  97,  98,
     &    97,  98,  17,  18,  99, 100,  18, 101,  99,  18,
     &   101, 100, 102, 103, 102, 103, 102, 103,  18,  16,
     &    16,  24,  24,  16,  25,  15,  24,  15,  15,  25,
     &    25,  31,  15,  15,  31,  16,  16,  23,  13,   7,
     &   116, 116, 116, 117, 117, 119, 118, 118, 119, 119,
     &   120, 120, 121, 121, 130, 130, 130,   4,  10,  13,
     &    10,   4,  32,  13,  36,  11,   3,  34,  14,  38,
     &   133, 134, 135, 136,  21,  21,   1,  97, 104,  54,
     &    53,  17,  22,  21,  21,   1,  54,  53,  21,  97,
     &    21,  97,  22,  21,  97,  98, 105, 137, 137, 137,
     &   138, 139,  97,  97, 109, 109, 140, 138, 137, 139,
     &   138, 145,  99,  99,   2, 102, 110,  68,  67,  18,
     &   100,  99,  99,   2,  68,  67,  99, 102,  99, 102,
     &   100,  99, 102, 103, 111, 149, 149, 149, 150, 151,
     &   113, 113, 115, 115, 152, 150, 149, 151, 150, 157
     &           /
      DATA (NBK1(K),K=511,550) /
     &   140, 141, 142, 143, 144, 145, 146, 147, 148, 138,
     &   145, 140, 152, 153, 154, 155, 156, 157, 158, 159,
     &   160, 150, 157, 152,  34,  32,  33,  33,  32,  33,
     &    34,   0,   0,   0,   0,   0,   0,   0,   0,   0
     &           /
      DATA (NBK2(K),K=  1,170) /
     &     0,   0,   0,   0,   0,   0,   0,   3,   4,   6,
     &     5,  23,  14,  11,   3,   5,   5,   5,  23,  13,
     &    23,  23,  23,   5,  23,  13,  23,  23,  23,  14,
     &    23,   3,  11,  13,  23,   4,  10,  14,  23,  14,
     &    23,  13,   7,   7,   4,   7,   7,  23,  14,  14,
     &    23,  14,  23,  23,  14,  14,   7,  23,  13,  23,
     &    14,  23,  14,  23,  13,  23,  13,  23,  14,  23,
     &    14,  23,  13,  23,  13,  23,  13,  33,  32,  35,
     &    31,  23,  14,  23,  14,  33,  34,  35,  31,  23,
     &    14,  23,  14,  33,  34,  35,  31,  23,  13,  23,
     &    13,  33,  32,  35,  31,  13,  13,  23,  23,  14,
     &    13,  14,  14,  25,  16,  14,  23,  13,  31,  14,
     &    13,  23,  25,  16,  23,  35,  33,  34,  32,  33,
     &    31,  31,  14,  13,  23,   0,   0,   0,   0,  13,
     &    23,  13,  14,  23,  14,  13,  23,  13,  32,  23,
     &    13,  14,  23,  13,  33,  32,  14,  23,  14,  23,
     &    13,  34,  33,  14,  14,  23,  34,  23,  13,  23
     &           /
      DATA (NBK2(K),K=171,340) /
     &    13,  14,  23,  13,  33,  32,  31,   0,   0,  23,
     &    13,  14,  23,  13,  33,  32,  14,  23,  14,  23,
     &    13,  34,  33,  23,  13,  33,  32,  15,  24,  15,
     &    31,  14,  23,  34,  33,  24,  24,  15,  31,  14,
     &    23,  14,  13,  23,  13,  14,  23,  14,  34,  23,
     &    14,  13,  23,  14,  33,  34,  13,  23,  13,  23,
     &    14,  32,  33,  13,  13,  23,  32,  23,  14,  13,
     &    23,  14,  33,  34,  13,  23,  13,  23,  14,  32,
     &    33,  23,  14,  23,  13,  13,  23,  14,  33,  34,
     &    31,  23,  13,  23,  13,  14,  23,  13,  33,  32,
     &    31,  23,  14,  33,  34,  16,  25,  16,  31,  13,
     &    23,  32,  33,  24,  25,  16,  31,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,  23,  13,  14,
     &    14,  23,  23,  13,  14,  39,  37,  13,  23,  14,
     &    23,  13,  13,  23,  14,  33,  34,  31,   0,   0,
     &    13,  23,  14,   7,  16,  19,  23,  14,   7,  23
     &           /
      DATA (NBK2(K),K=341,510) /
     &    14,  23,  14,   7,  13,  23,  13,  13,  23,  13,
     &    23,  14,  13,  14,  23,  14,  23,  13,  14,  23,
     &    14,  23,  16,  14,  23,  14,  23,  14,  13,  13,
     &    23,  13,  23,  14,  13,  23,  13,  23,  15,  13,
     &    13,  13,  23,  13,  13,  14,  14,  14,  14,  14,
     &    23,  13,  16,  25,  14,  15,  24,  23,  14,   7,
     &    23,   7,  13,  23,   7,  14,  23,   7,  23,   7,
     &     7,   7,   7,   7,  13,  23,  31,   3,  11,  14,
     &   135,   5, 134, 134, 134, 136,   6, 133, 133, 133,
     &     0,   0,   0,   0,  31,  95,  25,  15,  31,  95,
     &    16,  32,  32,  33,  35,  39,  39,  38,  25,  13,
     &    39,  32,  39,  38,  35,  32,  39,  13,  23,  14,
     &     7,   7,  25,  37,  32,  13,  25,  13,  25,  13,
     &    25,  13,  31,  95,  24,  16,  31,  24,  15,  34,
     &    34,  33,  35,  37,  37,  36,  24,  14,  37,  34,
     &    37,  36,  35,  34,  37,  14,  23,  13,   7,   7,
     &    24,  39,  34,  14,  24,  14,  24,  14,  24,  14
     &           /
      DATA (NBK2(K),K=511,550) /
     &     7,   7,   7,   7,   7,   7,   7,   7,   7,  25,
     &    13,  25,   7,   7,   7,   7,   7,   7,   7,   7,
     &     7,  24,  14,  24,  13,  14,  23,  13,  23,  14,
     &    23,   0,   0,   0,   0,   0,   0,   0,   0,   0
     &           /
      DATA (NBK3(K),K=  1,170) /
     &     0,   0,   0,   0,   0,   0,   0,   5,   6,   5,
     &     6,  23,  23,   5,   5,   0,   0,   0,   0,  14,
     &    23,   5,   5,   0,   0,  14,  23,   5,   5,   0,
     &     0,   5,   5,   0,   0,   5,   5,   0,   0,   0,
     &     0,   0,   0,   0,   3,   0,   7,  23,  23,   7,
     &     0,   0,   0,   0,  23,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,  23
     &           /
      DATA (NBK3(K),K=171,340) /
     &    14,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,  23,  14,   0,   0,   0,   0,   0,
     &     0,   0,   0,  23,  14,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,  14,   0,   0,
     &    23,  14,   0,   0,   0,   0,   0,   0,   0,   0,
     &    14,  23,   7,   0,   0,   0,   0,  23,   0,   0
     &           /
      DATA (NBK3(K),K=341,510) /
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &    23,  14,   0,  13,   0,  14,   0,   0,  23,  13,
     &     0,   0,  15,   0,   0,  16,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,  14,  23,   0,   0,   0,  23,
     &   134, 134,   0,   0,   0, 133, 133,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0
     &           /
      DATA (NBK3(K),K=511,550) /
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,  13,
     &    13,  25,   0,   0,   0,   0,   0,   0,   0,   0,
     &     0,  14,  14,  24,   0,   0,   0,   0,   0,   0,
     &     0,   0,   0,   0,   0,   0,   0,   0,   0,   0
     &           /
      DATA (BT(K),K=  1, 85) /
     &  0.1000D+01,0.1000D+01,0.1000D+01,0.1000D+01,0.1000D+01,
     &  0.1000D+01,0.1000D+01,0.1000D+01,0.1000D+01,0.1000D+01,
     &  0.1000D+01,0.2100D+00,0.1200D+00,0.2700D+00,0.4000D+00,
     &  0.1000D+01,0.1000D+01,0.6400D+00,0.2100D+00,0.6000D-01,
     &  0.2000D-01,0.3000D-01,0.4000D-01,0.6400D+00,0.2100D+00,
     &  0.6000D-01,0.2000D-01,0.3000D-01,0.4000D-01,0.6400D+00,
     &  0.3600D+00,0.0000D+00,0.0000D+00,0.6400D+00,0.3600D+00,
     &  0.0000D+00,0.0000D+00,0.6900D+00,0.3100D+00,0.1000D+01,
     &  0.5200D+00,0.4800D+00,0.1000D+01,0.9900D+00,0.1000D-01,
     &  0.3800D+00,0.3000D-01,0.3000D+00,0.2400D+00,0.5000D-01,
     &  0.1000D+01,0.1000D+01,0.0000D+00,0.1000D+01,0.8880D+00,
     &  0.2500D-01,0.8700D-01,0.3300D+00,0.6700D+00,0.3300D+00,
     &  0.6700D+00,0.3300D+00,0.6700D+00,0.3300D+00,0.6700D+00,
     &  0.3300D+00,0.6700D+00,0.3300D+00,0.6700D+00,0.3300D+00,
     &  0.6700D+00,0.3300D+00,0.6700D+00,0.1900D+00,0.3800D+00,
     &  0.9000D-01,0.2000D+00,0.3000D-01,0.4000D-01,0.5000D-01,
     &  0.2000D-01,0.1900D+00,0.3800D+00,0.9000D-01,0.2000D+00
     &           /
      DATA (BT(K),K= 86,170) /
     &  0.3000D-01,0.4000D-01,0.5000D-01,0.2000D-01,0.1900D+00,
     &  0.3800D+00,0.9000D-01,0.2000D+00,0.3000D-01,0.4000D-01,
     &  0.5000D-01,0.2000D-01,0.1900D+00,0.3800D+00,0.9000D-01,
     &  0.2000D+00,0.3000D-01,0.4000D-01,0.5000D-01,0.2000D-01,
     &  0.8800D+00,0.6000D-01,0.6000D-01,0.8800D+00,0.6000D-01,
     &  0.6000D-01,0.8800D+00,0.1200D+00,0.1900D+00,0.1900D+00,
     &  0.1600D+00,0.1600D+00,0.1700D+00,0.3000D-01,0.3000D-01,
     &  0.3000D-01,0.4000D-01,0.1000D+00,0.1000D+00,0.2000D+00,
     &  0.1200D+00,0.1000D+00,0.4000D-01,0.4000D-01,0.5000D-01,
     &  0.7500D-01,0.7500D-01,0.3000D-01,0.3000D-01,0.4000D-01,
     &  0.5000D+00,0.5000D+00,0.5000D+00,0.5000D+00,0.1000D+01,
     &  0.6700D+00,0.3300D+00,0.3300D+00,0.6700D+00,0.1000D+01,
     &  0.2500D+00,0.2700D+00,0.1800D+00,0.3000D+00,0.1700D+00,
     &  0.8000D-01,0.1800D+00,0.3000D-01,0.2400D+00,0.2000D+00,
     &  0.1000D+00,0.8000D-01,0.1700D+00,0.2400D+00,0.3000D-01,
     &  0.1800D+00,0.1000D+00,0.2000D+00,0.2500D+00,0.1800D+00,
     &  0.2700D+00,0.3000D+00,0.1500D+00,0.3500D+00,0.7000D-01
     &           /
      DATA (BT(K),K=171,255) /
     &  0.1800D+00,0.1100D+00,0.6000D-01,0.3000D-01,0.1000D-01,
     &  0.3000D-01,0.1000D-01,0.1000D+01,0.1000D+01,0.1800D+00,
     &  0.3700D+00,0.1300D+00,0.8000D-01,0.4000D-01,0.7000D-01,
     &  0.1300D+00,0.3700D+00,0.1800D+00,0.4000D-01,0.8000D-01,
     &  0.1300D+00,0.1300D+00,0.7000D-01,0.7000D-01,0.1300D+00,
     &  0.2300D+00,0.4700D+00,0.5000D-01,0.2000D-01,0.1000D-01,
     &  0.2000D-01,0.1300D+00,0.7000D-01,0.4700D+00,0.2300D+00,
     &  0.5000D-01,0.1000D-01,0.2000D-01,0.2000D-01,0.1000D+01,
     &  0.6700D+00,0.3300D+00,0.3300D+00,0.6700D+00,0.1000D+01,
     &  0.2500D+00,0.2700D+00,0.1800D+00,0.3000D+00,0.1700D+00,
     &  0.8000D-01,0.1800D+00,0.3000D-01,0.2400D+00,0.2000D+00,
     &  0.1000D+00,0.8000D-01,0.1700D+00,0.2400D+00,0.3000D-01,
     &  0.1800D+00,0.1000D+00,0.2000D+00,0.2500D+00,0.1800D+00,
     &  0.2700D+00,0.3000D+00,0.1800D+00,0.3700D+00,0.1300D+00,
     &  0.8000D-01,0.4000D-01,0.7000D-01,0.1300D+00,0.3700D+00,
     &  0.1800D+00,0.4000D-01,0.8000D-01,0.1300D+00,0.1300D+00,
     &  0.7000D-01,0.1500D+00,0.3500D+00,0.7000D-01,0.1800D+00
     &           /
      DATA (BT(K),K=256,340) /
     &  0.1100D+00,0.6000D-01,0.3000D-01,0.1000D-01,0.3000D-01,
     &  0.1000D-01,0.1500D+00,0.3500D+00,0.7000D-01,0.1800D+00,
     &  0.1100D+00,0.6000D-01,0.3000D-01,0.1000D-01,0.3000D-01,
     &  0.1000D-01,0.7000D-01,0.1300D+00,0.2300D+00,0.4700D+00,
     &  0.5000D-01,0.2000D-01,0.1000D-01,0.2000D-01,0.1300D+00,
     &  0.7000D-01,0.4700D+00,0.2300D+00,0.5000D-01,0.1000D-01,
     &  0.2000D-01,0.2000D-01,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,0.0000D+00,
     &  0.0000D+00,0.0000D+00,0.4000D+00,0.3000D+00,0.3000D+00,
     &  0.6000D+00,0.4000D+00,0.4000D+00,0.3000D+00,0.3000D+00,
     &  0.5000D+00,0.5000D+00,0.1000D+01,0.1500D+00,0.3500D+00,
     &  0.7000D-01,0.1800D+00,0.1100D+00,0.6000D-01,0.3000D-01,
     &  0.1000D-01,0.3000D-01,0.1000D-01,0.1000D+01,0.1000D+01,
     &  0.4800D+00,0.2400D+00,0.2600D+00,0.2000D-01,0.4910D+00,
     &  0.3440D+00,0.1290D+00,0.2400D-01,0.1200D-01,0.1000D+01
     &           /
      DATA (BT(K),K=341,425) /
     &  0.1000D+01,0.5200D+00,0.4800D+00,0.1000D+01,0.1000D+01,
     &  0.1000D+01,0.1000D+01,0.9000D+00,0.5000D-01,0.5000D-01,
     &  0.9000D+00,0.5000D-01,0.5000D-01,0.9000D+00,0.5000D-01,
     &  0.5000D-01,0.3300D+00,0.6700D+00,0.6700D+00,0.3300D+00,
     &  0.2500D+00,0.2500D+00,0.5000D+00,0.9000D+00,0.5000D-01,
     &  0.5000D-01,0.9000D+00,0.5000D-01,0.5000D-01,0.9000D+00,
     &  0.5000D-01,0.5000D-01,0.3300D+00,0.6700D+00,0.6700D+00,
     &  0.3300D+00,0.2500D+00,0.2500D+00,0.5000D+00,0.1000D+00,
     &  0.5000D+00,0.1600D+00,0.2400D+00,0.7000D+00,0.3000D+00,
     &  0.7000D+00,0.3000D+00,0.1000D+00,0.5000D+00,0.1600D+00,
     &  0.2400D+00,0.3000D+00,0.4000D+00,0.3000D+00,0.3000D+00,
     &  0.4000D+00,0.3000D+00,0.4900D+00,0.4900D+00,0.2000D-01,
     &  0.5500D+00,0.4500D+00,0.6800D+00,0.3000D+00,0.2000D-01,
     &  0.6800D+00,0.3000D+00,0.2000D-01,0.5500D+00,0.4500D+00,
     &  0.9000D+00,0.1000D+00,0.9000D+00,0.1000D+00,0.6000D+00,
     &  0.3000D+00,0.1000D+00,0.1000D+00,0.1000D+00,0.8000D+00,
     &  0.2800D+00,0.2800D+00,0.3500D+00,0.7000D-01,0.2000D-01
     &           /
      DATA (BT(K),K=426,510) /
     &  0.2800D+00,0.2800D+00,0.3500D+00,0.7000D-01,0.2000D-01,
     &  0.1000D+01,0.1000D+01,0.1000D+01,0.1000D+01,0.2000D-01,
     &  0.3000D-01,0.7000D-01,0.2000D-01,0.2000D-01,0.4000D-01,
     &  0.1300D+00,0.7000D-01,0.6000D-01,0.6000D-01,0.2000D+00,
     &  0.1400D+00,0.4000D-01,0.1000D+00,0.2500D+00,0.3000D-01,
     &  0.3000D+00,0.4200D+00,0.2200D+00,0.3500D+00,0.1900D+00,
     &  0.1600D+00,0.8000D-01,0.1000D+01,0.1000D+01,0.1000D+01,
     &  0.1000D+01,0.1000D+01,0.3700D+00,0.2000D+00,0.3600D+00,
     &  0.7000D-01,0.5000D+00,0.5000D+00,0.5000D+00,0.5000D+00,
     &  0.5000D+00,0.5000D+00,0.2000D-01,0.3000D-01,0.7000D-01,
     &  0.2000D-01,0.2000D-01,0.4000D-01,0.1300D+00,0.7000D-01,
     &  0.6000D-01,0.6000D-01,0.2000D+00,0.1400D+00,0.4000D-01,
     &  0.1000D+00,0.2500D+00,0.3000D-01,0.3000D+00,0.4200D+00,
     &  0.2200D+00,0.3500D+00,0.1900D+00,0.1600D+00,0.8000D-01,
     &  0.1000D+01,0.1000D+01,0.1000D+01,0.1000D+01,0.1000D+01,
     &  0.3700D+00,0.2000D+00,0.3600D+00,0.7000D-01,0.5000D+00,
     &  0.5000D+00,0.5000D+00,0.5000D+00,0.5000D+00,0.5000D+00
     &           /
      DATA (BT(K),K=511,550) /
     &  0.1000D+01,0.1000D+01,0.1000D+01,0.1000D+01,0.1000D+01,
     &  0.1000D+01,0.1000D+01,0.1000D+01,0.1000D+01,0.3000D+00,
     &  0.3000D+00,0.4000D+00,0.1000D+01,0.1000D+01,0.1000D+01,
     &  0.1000D+01,0.1000D+01,0.1000D+01,0.1000D+01,0.1000D+01,
     &  0.1000D+01,0.3000D+00,0.3000D+00,0.4000D+00,0.3300D+00,
     &  0.3300D+00,0.3400D+00,0.5000D+00,0.5000D+00,0.5000D+00,
     &  0.5000D+00,0.1000D+01,0.1000D+01,0.1000D+01,0.1000D+01,
     &  0.1000D+01,0.1000D+01,0.1000D+01,0.1000D+01,0.1000D+01
     &        /
C
C  translation table
      DATA (IBMCIN(K),K=1,100) /
     & 2212,-2212,11,-11,12,              -12,22,2112,-2112,-13,
     & 13,130,211,-211,321,               -321,3122,-3122,310,3112,
     & 3222,3212,111,311,-311,            50223,40113,60223,10333,30113,
     & 221,213,113,-213,223,              323,313,-323,-313,10323,
     & 10313,-10323,-10313,30323,30313,   -30323,-30313,3224,3214,3114,
     & 3216,3218,2224,2214,2114,          1114,12224,12214,12114,11114,
     & 12212,12112,22212,22112,42212,     42112,-2224,-2214,-2114,-1114,
     & -12224,-12214,-12114,-11114,-2124,
     & -1214,-12212,-12112,-42212,-42112,
     & 5*99999,                           5*99999,
     & 4*99999,331,                       333,3322,3312,-3222,-3212 /
      DATA (IBMCIN(K),K=101,187) /
     & -3112,-3322,-3312,3224,3214,       3114,3324,3314,3334,-3224,
     & -3214,-3114,-3324,-3314,-3334,     421,411,-411,-421,431,
     & -431,441,423,413,-413,             -423,433,-433,20443,443,
     & -15,15,16,-16,14,                  -14,4122,4232,4132,4222,
     & 4212,4112,4322,4312,4332,          4422,4412,4432,-4122,-4232,
     & -4132,-4222,-4212,-4112,-4322,     -4312,-4332,-4422,-4412,-4432,
     & 4224,4214,4114,4324,4314,          4334,4424,4414,4434,4444,
     & -4224,-4214,-4114,-4324,-4314,     -4334,-4424,-4414,-4434,-4444,
     & 3*99999,45,46,                     777,888 /
C  index tables
C
C     DEFINE THE FIELDS FOR PARTICLE CLASSIFICATION
C     IMPS=PSEUDO SCALAR MESONS (SPIN=0)
C     IMVE=VECTOR MESONS (SPIN=1)
C     IB08(IA08)=BARYONS (ANTIBARYONS) (SPIN=1/2)
C     IB10(IA10)=BARYONS (ANTIBARYONS) (SPIN=3/2)
C
      DATA IP/
     *23,14,16,116,0,0,13,23,25,117,0,0,15,24,31,120,0,0,119,118,121,
     *122,14*0/
      DATA IV/
     *33,34,38,123,0,0,32,33,39,124,0,0,36,37,96,127,0,0,126,125,128,
     *129,14*0/
      DATA IB/
     *0,1,21,140,0,0,8,22,137,0,0,97,138,0,0,146,5*0,
     *1,8,22,137,0,0,0,20,142,0,0,98,139,0,0,147,5*0,
     *21,22,97,138,0,0,20,98,139,0,0,0,145,0,0,148,5*0,
     *140,137,138,146,0,0,142,139,147,0,0,145,148,50*0/
      DATA IBB/
     *53,54,104,161,0,0,55,105,162,0,0,107,164,0,0,167,5*0,
     *54,55,105,162,0,0,56,106,163,0,0,108,165,0,0,168,5*0,
     *104,105,107,164,0,0,106,108,165,0,0,109,166,0,0,169,5*0,
     *161,162,164,167,0,0,163,165,168,0,0,166,169,0,0,170,47*0/
      DATA IA/
     *0,2,99,152,0,0,9,100,149,0,0,102,150,0,0,158,5*0,
     *2,9,100,149,0,0,0,101,154,0,0,103,151,0,0,159,5*0,
     *99,100,102,150,0,0,101,103,151,0,0,0,157,0,0,160,5*0,
     *152,149,150,158,0,0,154,151,159,0,0,157,160,50*0/
      DATA IAA/
     *67,68,110,171,0,0,69,111,172,0,0,113,174,0,0,177,5*0,
     *68,69,111,172,0,0,70,112,173,0,0,114,175,0,0,178,5*0,
     *110,111,113,174,0,0,112,114,175,0,0,115,176,0,0,179,5*0,
     *171,172,174,177,0,0,173,175,178,0,0,176,179,0,0,180,47*0/
C
C  copy to COMMONs
      DO 100 I=1,187
        ANAME(I) = BNAME(I)
        AM(I)    = BM(I)
        GA(I)    = BA(I)
        TAU(I)   = BAU(I)
        ICH(I)   = IBCH(I)
        IBAR(I)  = IBBAR(I)
        K1(I)    = KB1(I)
        K2(I)    = KB2(I)
        IAMCIN(I)= IBMCIN(I)
 100  CONTINUE
      DO 200 I=1,550
        ZKNAM(I) = ZBNAM(I)
        NZK(I,1)  = NBK1(I)
        NZK(I,2)  = NBK2(I)
        NZK(I,3)  = NBK3(I)
        WT(I)    = BT(I)
 200  CONTINUE
C  initialize index tables
      L=0
      DO 1 I=1,6
        DO 2 J=1,6
          L=L+1
          IMPS(I,J)=IP(L)
    2   CONTINUE
    1 CONTINUE
      L=0
      DO 3 I=1,6
        DO 4 J=1,6
          L=L+1
          IMVE(I,J)=IV(L)
    4   CONTINUE
    3 CONTINUE
      L=0
      DO 5 I=1,6
        DO 6 J=1,21
          L=L+1
          IB08(I,J)=IB(L)
    6   CONTINUE
    5 CONTINUE
      L=0
      DO 7 I=1,6
        DO 8 J=1,21
          L=L+1
          IB10(I,J)=IBB(L)
    8   CONTINUE
    7 CONTINUE
      L=0
      DO 9 I=1,6
        DO 10 J=1,21
          L=L+1
          IA08(I,J)=IA(L)
   10   CONTINUE
    9 CONTINUE
      L=0
      DO 11 I=1,6
        DO 12 J=1,21
          L=L+1
          IA10(I,J)=IAA(L)
   12   CONTINUE
   11 CONTINUE
C
C  BAMJET standard parameters
C  fragmentation function
      A1     = 0.88D0
C  lower energy cut-off (jet)
      B1     = 8.D0
      B2     = 8.D0
C  pt distribution
      B3     = 8.D0
C  octett/decuplett baryons
      B8     = 0.50
C  flavours
      BET    = 9.D0
C  pseudo scalar/vector mesons
      AS     = 0.50
C  meson/baryon vertex
      AME    = 0.93D0
      DIQ    = 0.375D0
C  debug
      LT     = 0
      LB     = 0
C  flavour number
      ISU    = 4
      END
