*CMZ : 14.00/04 04/09/95  14.57.13  by  Tancredi Carli
*CMZ : 11.02/06 22/01/93  17.10.49  by  Peter Lanius
*-- Author :
         SUBROUTINE QHBKIN
C--------------------------------------------------------------------
C
C    HBOOK: QHBKIN: top initialization routine, called at begjob
C    20/01/93: Josef-Peter Kubenka:
C    changed to handle now large Ntuple-files on the IBM
C
C  DATACARDS:
C
C*********** PAW HBOOK output:
C
C  HBKOUT    logical_unit     'file_name'
C
C  for IBM only:
C  HBKSPA    primary tracks    secondary tracks
C
C        M. Erdmann
C
*D: QHBKIN 00402 me. mod. format statement
*D: QHBKIN 10301 fk. adjust for dec stations
*D: QHBKIN 10400 jk. adjust for ibm vm
C--------------------------------------------------------------------
      INTEGER      NHROW,NHCOL,NHLEN
      PARAMETER   (NHROW = 2, NHCOL = 1, NHLEN=2)
      INTEGER      NBOSIW
      PARAMETER   (NBOSIW=1000000)
      INTEGER      IW(NBOSIW)
      REAL         RW(NBOSIW)
      COMMON /BCS/ IW
      EQUIVALENCE (RW(1),IW(1))
      SAVE   /BCS/
* NHBOOK : memory space for HBOOK
* HRFTOP : name of the top directory of the direct access file
* MPRHIS : max. number of histograms
*
         INTEGER         NHBOOK
         PARAMETER      (NHBOOK = 1000000)
         REAL            H
         COMMON /PAWC/ H(NHBOOK)
         CHARACTER*6     HRFTOP
         PARAMETER      (HRFTOP ='HISTO')
         INTEGER         MPRHIS
         PARAMETER      (MPRHIS = 10000)
         LOGICAL         HBKOUT
         COMMON /QHBKLO/ HBKOUT
C        PARAMETER  (NRECL=6*1024)
         PARAMETER  (NRECL=1024)
c         PARAMETER  (NRECL=4096)
         CHARACTER   HRFMOD*2,CHAINT*4,FILNAM*72
C         COMMON/QUEST/IQUEST(100)
        DATA        HRFMOD / 'N' /
c         DATA        HRFMOD / 'NQ' /
         Integer IERR
         DATA        IOWRIT /  6  /
         SAVE
c        INCLUDE 'bcs.inc'
c         INCLUDE 'qhbook.inc'
         COMMON/QUEST/IQUEST(100)
*
         write(6,*) ' call HLIMIT with = ',NHBOOK
         CALL HLIMIT(NHBOOK)
         IQUEST(10)=64000
*
* >>> HBKOUT card
*
 101     FORMAT(1X,'QHBKIN: no data card HBKOUT to output HBOOK histo.')
         HBKOUT=.TRUE.
         IND = IW(NAMIND('HBKO'))
         IF(IND.GT.0) THEN
            LUNHBK = IW(IND+1)
            FILNAM = ' '
            DO 100 I=1, IW(IND) - 1
               FILNAM(4*I-3:4*I) = CHAINT(IW(IND+I+1))
 100        CONTINUE
         ELSE
            WRITE(IOWRIT,101)
            HBKOUT=.FALSE.
            GOTO 9999
         END IF
*
C          IQUEST(10)=65000
           write(6,*) '***QHBKIN: opening ',FILNAM
          call HROPEN(LUNHBK,HRFTOP,FILNAM,HRFMOD,NRECL,IOS)
          IF (IOS.NE.0) then
           WRITE(6,*) '***QHBKIN: Error opening file ',FILNAM
           goto 900
          else
           write(6,*) '***QHBKIN: opening ',FILNAM,' sucessful '
           write(6,*) ' LUNHBK= ',LUNHBK,' HRFTOP= ',HRFTOP
           write(6,*) ' HRFMOD= ',HRFMOD,' NRECL= ',NRECL
          endif
*
 9999    RETURN
  900    WRITE(IOWRIT,901)  IOS,LUNHBK,NRECL,FILNAM
  901    FORMAT(1X,'QHBKIN: error opening HBOOK output file, ',
     +             'Input-Output-Status=',I10,
     +        /,1X,'UNIT=',I10,' RECL=',I10,/,1X,'FILE=',A72)
         STOP
  902    WRITE(IOWRIT,903)  IOS
  903    FORMAT(1X,'QHBKIN: INQUIRE error, status=',I10)
         STOP
  904    WRITE(IOWRIT,905)  IOS
  905    FORMAT(1X,'QHBKIN: FILEINF error, status=',I10)
         STOP
  910    WRITE(IOWRIT,911)  IOS
  911    FORMAT(1X,'QHBKIN: OPEN existing file error, status=',I10)
         STOP
         END
