// * This code is licensed under:
// * JRunMC License, Version 1.0
// * - for license details see http://runmc.sourceforge.net/License.txt
// *
// * Copyright (c) 2005 by S.Chekanov (chekanov@mail.desy.de). 
// * All rights reserved.


// show output results
package JRunMC.ui;

import JRunMC.util.*;


import java.net.*;
import java.awt.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;
import javax.swing.text.*;
import javax.swing.text.html.*;


public class EditorInfoShow{

   private HtmlBrowserDialog viewer;

   public EditorInfoShow(int position) {


   viewer = new HtmlBrowserDialog(Global.mainFrame, "RMC information", true );


 String s0=(String)SetRMC.group.elementAt(  position );
 String s1=(String)SetRMC.files.elementAt(  position );
 String s2=(String)SetRMC.title.elementAt(  position );
 String s3=(String)SetRMC.describe.elementAt( position );
 String s4=(String)SetRMC.lastmodified.elementAt( position );
 String s5=(String)SetRMC.author.elementAt( position );
 String s6=(String)SetRMC.contact.elementAt( position );


   String HEARD="<html> <body> \n";
   String TITLE1="<h2><font color=#000099>"+s2+"</font></h2>\n";
   // show group
   String TITLE2 = "<b> Project group: "+s0+"</b><p>\n";
   String A="<b>"+s5+"</b><br>\n";
   String C="<b>"+s6+"</b><br>\n";
   String L="<b><i>"+s4+"</i></b> <p>  \n";
   String D="<b>"+s3+"</b>\n";
   String END = "</body> </html>";

   viewer.setText( HEARD+TITLE1+TITLE2+A+C+L+D+END);


    Dimension dim = Global.mainFrame.getSize();
    int w=dim.width;
    int h=dim.height;

 //   viewer.htmlPane.setPreferredSize( new Dimension(200,300) );
 // Get the system resolution
    Dimension res = Toolkit.getDefaultToolkit().getScreenSize();
   // make sure the dialog is not too big
    Dimension size = new Dimension(Math.min( (int)(0.6*w),res.width),
                        Math.min((int)(0.7*h), res.height) );
    viewer.setSize(size);
    Util.centreWithin ( Global.mainFrame, viewer );

    viewer.setCaretStart();
    viewer.showthis(); 
      
   }


}
