// * This code is licensed under:
// * Copyright (c) 2005 by the S.Chekanov (chekanov@sdf.lonestar.org). 
// * All rights reserved.

package JRunMC.util;

import JRunMC.ui.*;

import java.net.*;
import java.awt.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;
import javax.swing.text.*;
import javax.swing.text.html.*;
import java.util.*;
import java.io.*;


public class SystemInfo {

      private HtmlBrowserDialog dlg;
      private StringBuffer sbuf;
      private String hstr;
      private Properties props;
 
    public  SystemInfo() {


    props = System.getProperties();
    
    // Enumerate all system properties
    Enumeration enumPP = props.propertyNames();

    // compile text from system properties
      sbuf = new StringBuffer(2048);
      sbuf.append( "<html><body><h3><u>Runtime System Properties</u></h3>" );


   for (; enumPP.hasMoreElements(); ) {
        // Get property name
        String propName = (String)enumPP.nextElement();

        // Get property value
        String propValue = (String)props.get(propName);

        sbuf.append( "<font color=\"maroon\"><b>" );
        sbuf.append( propName );
        sbuf.append( "</b></font>" );

        sbuf.append( "<font color=\"blue\"><b>" );
        sbuf.append( " = "+propValue );
        sbuf.append( "</b></font>" );
        sbuf.append( "<br>" );

    }
      sbuf.append( "</p></body></html>" );

      hstr = ResourceLoader.getDisplay( "dlg.systeminfo" );
      dlg = new HtmlBrowserDialog( Global.mainFrame, hstr, true );
      if ( Toolkit.getDefaultToolkit().getScreenSize().width > 800 )
         dlg.setSize( new Dimension( 600, 400 ) );
      dlg.setText( sbuf.toString() );
      dlg.setCaretStart(); 
      dlg.setVisible(true); 


    }

}
