#!/bin/bash
#
# clean project
# this is additional script to be called by JRunMC
# to create the project
# modify it if you want
# 
MYDIR=`pwd`

# ###################################
PROJNAME=$RUNMC"/proj"; 
cd $PROJNAME;

# additional cleaning  
rm -f *.log
rm -f *.err
rm -f *.root
rm -f *.o
rm -f *~
rm -f *bak
rm -f *.rtup
rm -f *.htup
rm -f .runmc.*

# user cleaning 
make clean &> /dev/null

cd $MYDIR

exit 0
